Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.ClientConnectionSSO2ResponseOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.ClientConnectionSSO2Response`, `ClientWireProtocol.ClientConnectionSSO2Response.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.ClientConnectionSSO2ResponseOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`int`
`getPollingIntervalSeconds()`
The minimum amount of time in seconds that the Client
`boolean`
`getRedirect()`
Redirect = true, means we are telling client to connect elsewhere
`String`
`getRedirectHost()`
`string redirectHost = 5;`
`ByteString`
`getRedirectHostBytes()`
`string redirectHost = 5;`
`int`
`getRedirectPort()`
`fixed32 redirectPort = 6;`
`ClientWireProtocol.ConfirmationResponse`
`getResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnectionSSO2Response.ResponseOneofCase`
`getResponseOneofCase()`
`ClientWireProtocol.ConfirmationResponseOrBuilder`
`getResponseOrBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.SecondaryInterfaceList`
`getSecondary(int index)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`
`int`
`getSecondaryCount()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`
`List<ClientWireProtocol.SecondaryInterfaceList>`
`getSecondaryList()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`
`ClientWireProtocol.SecondaryInterfaceListOrBuilder`
`getSecondaryOrBuilder(int index)`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`
`List<? extends ClientWireProtocol.SecondaryInterfaceListOrBuilder>`
`getSecondaryOrBuilderList()`
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`
`ClientWireProtocol.ServerVersion`
`getServerVersion()`
`.xg.cmdcomp.ServerVersion serverVersion = 9;`
`ClientWireProtocol.ServerVersionOrBuilder`
`getServerVersionOrBuilder()`
`.xg.cmdcomp.ServerVersion serverVersion = 9;`
`ClientWireProtocol.SessionInfo`
`getSessionInfo()`
MUST wait between polling requests to the server
`ClientWireProtocol.SessionInfoOrBuilder`
`getSessionInfoOrBuilder()`
MUST wait between polling requests to the server
`boolean`
`hasPollingIntervalSeconds()`
The minimum amount of time in seconds that the Client
`boolean`
`hasResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean`
`hasServerVersion()`
`.xg.cmdcomp.ServerVersion serverVersion = 9;`
`boolean`
`hasSessionInfo()`
MUST wait between polling requests to the server

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasResponse

boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  Whether the response field is set.

### getResponse

ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  The response.

### getResponseOrBuilder

ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### hasPollingIntervalSeconds

boolean hasPollingIntervalSeconds()

     The minimum amount of time in seconds that the Client

`int32 pollingIntervalSeconds = 2;`

Returns:
  Whether the pollingIntervalSeconds field is set.

### getPollingIntervalSeconds

int getPollingIntervalSeconds()

     The minimum amount of time in seconds that the Client

`int32 pollingIntervalSeconds = 2;`

Returns:
  The pollingIntervalSeconds.

### hasSessionInfo

boolean hasSessionInfo()

     MUST wait between polling requests to the server

`.xg.cmdcomp.SessionInfo sessionInfo = 3;`

Returns:
  Whether the sessionInfo field is set.

### getSessionInfo

ClientWireProtocol.SessionInfo getSessionInfo()

     MUST wait between polling requests to the server

`.xg.cmdcomp.SessionInfo sessionInfo = 3;`

Returns:
  The sessionInfo.

### getSessionInfoOrBuilder

ClientWireProtocol.SessionInfoOrBuilder getSessionInfoOrBuilder()

     MUST wait between polling requests to the server

`.xg.cmdcomp.SessionInfo sessionInfo = 3;`

### getRedirect

boolean getRedirect()

     Redirect = true, means we are telling client to connect elsewhere

`bool redirect = 4;`

Returns:
  The redirect.

### getRedirectHost

String getRedirectHost()
`string redirectHost = 5;`

Returns:
  The redirectHost.

### getRedirectHostBytes

ByteString getRedirectHostBytes()
`string redirectHost = 5;`

Returns:
  The bytes for redirectHost.

### getRedirectPort

int getRedirectPort()
`fixed32 redirectPort = 6;`

Returns:
  The redirectPort.

### getSecondaryList

List<ClientWireProtocol.SecondaryInterfaceList> getSecondaryList()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`

### getSecondary

ClientWireProtocol.SecondaryInterfaceList getSecondary(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`

### getSecondaryCount

int getSecondaryCount()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`

### getSecondaryOrBuilderList

List<? extends ClientWireProtocol.SecondaryInterfaceListOrBuilder> getSecondaryOrBuilderList()
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`

### getSecondaryOrBuilder

ClientWireProtocol.SecondaryInterfaceListOrBuilder getSecondaryOrBuilder(int index)
`repeated .xg.cmdcomp.SecondaryInterfaceList secondary = 8;`

### hasServerVersion

boolean hasServerVersion()
`.xg.cmdcomp.ServerVersion serverVersion = 9;`

Returns:
  Whether the serverVersion field is set.

### getServerVersion

ClientWireProtocol.ServerVersion getServerVersion()
`.xg.cmdcomp.ServerVersion serverVersion = 9;`

Returns:
  The serverVersion.

### getServerVersionOrBuilder

ClientWireProtocol.ServerVersionOrBuilder getServerVersionOrBuilder()
`.xg.cmdcomp.ServerVersion serverVersion = 9;`

### getResponseOneofCase

ClientWireProtocol.ClientConnectionSSO2Response.ResponseOneofCase getResponseOneofCase()